Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
SmackDaddy
Involved
Involved


Joined: Jun 02, 2004
Posts: 268
Location: Englewood, OH

PostPosted: Fri Aug 20, 2004 5:04 pm Reply with quote

I upgraded from 1.2.0 to 2.0.1

Things seemed smooth enough, however.....on the main ABMain page, some of the settings I can change and save, but others I cannot, like:

Help System Type: On Image Mouseover On Image Click
Block Proxies: Off On
Default Page: Proxy reason Site reason
Admin HTTP Auth: Off On
AutoClear Blocks: Off On
DOS Protection:

I cannot change those.....they always stays default....but I can change these:

Display Link: Not Shown Admins Only Users/Admins Only All Visitors
Display Reason: Not Shown Admins Only Users/Admins Only All Visitors
Site Switch: Site Enabled Site Disabled
Default Page: Proxy reason Site reason (WHERE DO I CHANGE THE TEXT FOR THIS?!?)


I'd prefer to try and fix the issue than to reinstall.....but if I need to start from scratch, how do I do it without losing all of my IPs I have banned to date?

Thanks in advance.....
 
View user's profile Send private message Send e-mail Visit poster's website
sixonetonoffun
Spouse Contemplates Divorce


Joined: Jan 02, 2003
Posts: 2496

PostPosted: Fri Aug 20, 2004 5:12 pm Reply with quote

Check phpinfo out and make sure that php is compiled as an Apache Module. If not it would be php-cgi and the Admin HTTP Auth will not work.

What you could do if you suspect the update failed for some reason is to use phpmyadmin to export the tables and then drop them and make a clean install.

The IP's I'd have to check if that table has changed but it should be pretty easy to import them again after the clean install.

_________________
[b][size=5]openSUSE 11.4-x86 | Linux 2.6.37.1-1.2desktop i686 | KDE: 4.6.41>=4.7 | XFCE 4.8 | AMD Athlon(tm) XP 3000+ | MSI K7N2 Delta-L | 3GB Black Diamond DDR
| GeForce 6200@433Mhz 512MB | Xorg 1.9.3 | NVIDIA 270.30[/size:2b8 
View user's profile Send private message
Doodle
Hangin' Around


Joined: Jan 26, 2004
Posts: 46
Location: 127.0.0.1

PostPosted: Fri Aug 20, 2004 7:24 pm Reply with quote

I had a problem similar to that and it turned out to be a custom block that was missing a </form> tag. Also I think Bob pointed out that custom javascripts can sometimes conflict.

_________________
Independent Network Solutions Only registered users can see links on this board! Get registered or login! Only registered users can see links on this board! Get registered or login! Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Send e-mail Visit poster's website
SmackDaddy
PostPosted: Sat Aug 21, 2004 12:04 am Reply with quote

sixonetonoffun wrote:
Check phpinfo out and make sure that php is compiled as an Apache Module. If not it would be php-cgi and the Admin HTTP Auth will not work.

Only registered users can see links on this board! Get registered or login! -- PHP compiled "as" an Apache module? Or that the Apache module is compiled?

sixonetonoffun wrote:
What you could do if you suspect the update failed for some reason is to use phpmyadmin to export the tables and then drop them and make a clean install.

The IP's I'd have to check if that table has changed but it should be pretty easy to import them again after the clean install.


Guess I will take a look at the SQL for Sentinel and determine which tables to drop and then start from scratch....was hoping not to have to do that...

And Doodle.....I don't know of any other Java script that could be conflicting....other than a module I have called "Last Visit 3.0" which has a file called "over_lastvisit.js" but other than I am not using any other mods with javascripts....and it worked fine with Sentinel 1.2.0 ... this problem only began occuring after the upgrade to 2.0.1.....
 
sixonetonoffun
PostPosted: Sat Aug 21, 2004 6:47 am Reply with quote

The tables are all prefixed nuke_nsnst_ the installer should be able to remove them fine.

over_lastvisit.js I haven't looked at but over_ could sure be over_lib and thats the java used in teh Sentinel Help System Bob was going to work on rewriting some of that in a next release to prevent some conflicts. But I'd think the conflict would show in the help system or last visit mod if there was one.
 
Doodle
PostPosted: Sat Aug 21, 2004 9:22 am Reply with quote

You could try disabling the last visit block then try using Sentinel admin again. That's how I discovered my flaky block. Then I did a view source on my page and checked for errors.
 
SmackDaddy
PostPosted: Sat Aug 21, 2004 1:39 pm Reply with quote

I tried disabling the Last Visit block last night to see if it was affecting Sentinel and it wasn't. I even went so far as to remove the javascript file off the server as well just to see and same issue. However, I found out that Sentinel was causing a conflict with Last Visit. They have a email template I can edit, and it wasn't allowing me to save changes....but when I disabled Sentinel in "mainfile.php", I was able to save changes no problem......so it does sound like it *could* be a Javascript conflict of some sort, but almost feels like it's one way as I couldn't get it to resolve itself for Sentinel by disabling Last Visit....*sigh*.....
 
sixonetonoffun
PostPosted: Sat Aug 21, 2004 10:52 pm Reply with quote

Yeah the Sentinel version is only loaded when its required 90% or better of the other jvascript includes are echo'd out whether they are need or not so they are there if they are needed. (If that made any sense at all)
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©